Page MenuHome

brightening of the Viewport and subtle dimming of the UI
Closed, ArchivedPublic

Description

Operating system: windows 10 x64
Graphics card: gtx 1050 (latest driver)

Broken:
it was present in 2.79b but got more pronounced in 2.80 (x64 - 84c06e996a7a - jan 14)

it seems to me that every time i do something "unexpected" and blender has to draw a new screen from scratch, the viewport background seems to introduce a slight fog effect, reducing the draw distance but more importantly, brightening the background. the brightened background goes away after a maximum of what seems to be exactly 1 second. smaller changes result in a shorter time untill draw distance comes back and with small enough canges like 1 increment of rotation of the view either doesnt trigger it at all, or it goes away so quick that i can't notice it.
i'd like to note, that even if i don't release the middle mouse button, and even though i can see that blender has not yet applied anti-aliasing to the new screen, the effect still goes away after the screen has been still for about 1 second.
another oddity about this which is allmost unnoticeable, is that when this happens, the whole screen dimms a little bit.
All of theese things together mean that the screen is constantly flickering when i use the program in any way, inducing headache and nausea.

i tried to capture it with OBS but no matter how high i've set the quality, it seemed to mask the problem completely. allso lowering the screen resolution from 1980x1080 to 1366x768 masks it completely aswell.

it does it in any new or old .blend file. it triggers when i hover over any of the ui buttons except when i repeat the same movement over and over again, if i change anything about any object, or if i adjust the view in any way apart from subtle adjustments.

Details

Type
Bug

Event Timeline

Does this happen in all render modes or only in EEVEE, Lookdev, Cycles, ...?

Jacques Lucke (JacquesLucke) triaged this task as Needs Information from User priority.Jan 16 2019, 6:02 PM

switching from eevee to cycles doesnt seem to change anything but in lookdev and rendered mode everything but the slight dimming of the window goes away.

I've had a similar problem sometimes, although not as severe. I think it's an issue with the graphics driver's anti-aliasing conflicting with Blender's own AA settings. I have a GTX 950M.

Finding just the right AA settings within the Nvidea control panel largely fixed the problem, but I was never able to pin down exactly what made Blender happy. The issue was worse in full-screen mode, and also sometimes happened in Minecraft. You might try turning FXAA on/off, and allowing Blender to override settings wherever possible.

Normally you should disable all overrides in the graphics drivers, and user the Blender settings to control AA instead.

What seems odd to me is that the whole screen dims. Do you have a laptop screen with some kind of automatic dimming / brightening? Or a Windows feature like Night light influencing this?

i do have a laptop but it doesnt seem to have adaptive brightness and i dont use windows night light either.
i have looked around for a while now, i've set the nVidia control panel to only run the 1050 and leave everything to blender, tryed turning off everything too to see what happens but it's all the same.
i havent had this issue with any other software yet.

thanks for the tips though, i realy do appreciate the help.

ok so if i disable the gtx1050 and force the nvidia driver to just run the integrated gpu, every problem goes away. if i run the gtx by itself, the problems come back.
any ideas on what to do next? im completely baffled

by now i'm confident that none of the settings in the nvidia controlpanel change anything apart from turning the dedicated card off completely

allso, none of the system settings in blender change it at all either

Dang man. I don't know what to tell you. That's pretty frustrating.

Is this still an issue in the newest version?

Philipp Oeser (lichtwerk) raised the priority of this task from Needs Information from User to Needs Triage by Developer.Mar 27 2019, 12:29 PM

If I get this correctly, this is on a laptop. Is this in the laptop screen or a external screen?

If it is the build in screen, does this go away on a external screen an vise versa?

Sebastian Parborg (zeddb) closed this task as Archived.Jun 6 2019, 12:39 PM
Sebastian Parborg (zeddb) claimed this task.

Archiving this until we get a response.

Intrestingly, when an external screen is connected, both monitors are displaying everything correctly. Honestly i'm surprised by that.